[jira] [Created] (FILEUPLOAD-201) Update to JDK 1.5 and bump IO dependency to 2.0.1

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Created] (FILEUPLOAD-201) Update to JDK 1.5 and bump IO dependency to 2.0.1

ASF GitHub Bot (Jira)
Update to JDK 1.5 and bump IO dependency to 2.0.1
-------------------------------------------------

                 Key: FILEUPLOAD-201
                 URL: https://issues.apache.org/jira/browse/FILEUPLOAD-201
             Project: Commons FileUpload
          Issue Type: Task
    Affects Versions: 1.2.2
            Reporter: Brian Pontarelli


File Upload looks like one of the Commons projects that still needs to be updated to use JDK 1.5 features. At the same time, it should be updated to use commons IO 2.0.1 instead of 1.3.2.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

       
Reply | Threaded
Open this post in threaded view
|

[jira] [Commented] (FILEUPLOAD-201) Update to JDK 1.5 and bump IO dependency to 2.0.1

ASF GitHub Bot (Jira)

    [ https://issues.apache.org/jira/browse/FILEUPLOAD-201?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13118216#comment-13118216 ]

Brian Pontarelli commented on FILEUPLOAD-201:
---------------------------------------------

I did some initial testing in the code bases. It looks like the commons-fileupload compiles and runs fine against 2.1-SNAPSHOT of the commons-io. I also noticed that you have commons-io marked as optional, but it really isn't because it is used in import statements that can easily get accessed via the public API of commons-fileupload.

The last part that needs to be completed would be to update the interface to use generics and varargs. Let me know if you want me to do this on trunk and send you a diff. Shouldn't take more than 10-20 minutes.
               

> Update to JDK 1.5 and bump IO dependency to 2.0.1
> -------------------------------------------------
>
>                 Key: FILEUPLOAD-201
>                 URL: https://issues.apache.org/jira/browse/FILEUPLOAD-201
>             Project: Commons FileUpload
>          Issue Type: Task
>    Affects Versions: 1.2.2
>            Reporter: Brian Pontarelli
>
> File Upload looks like one of the Commons projects that still needs to be updated to use JDK 1.5 features. At the same time, it should be updated to use commons IO 2.0.1 instead of 1.3.2.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

       
Reply | Threaded
Open this post in threaded view
|

[jira] [Commented] (FILEUPLOAD-201) Update to JDK 1.5 and bump IO dependency to 2.0.1

ASF GitHub Bot (Jira)
In reply to this post by ASF GitHub Bot (Jira)

    [ https://issues.apache.org/jira/browse/FILEUPLOAD-201?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13118230#comment-13118230 ]

Simone Tripodi commented on FILEUPLOAD-201:
-------------------------------------------

Hi Brian!
Patches and suggestions are always welcome, please provide one and I would be more than pleased to apply it!
Looking forward your contribution!
Simo
               

> Update to JDK 1.5 and bump IO dependency to 2.0.1
> -------------------------------------------------
>
>                 Key: FILEUPLOAD-201
>                 URL: https://issues.apache.org/jira/browse/FILEUPLOAD-201
>             Project: Commons FileUpload
>          Issue Type: Task
>    Affects Versions: 1.2.2
>            Reporter: Brian Pontarelli
>
> File Upload looks like one of the Commons projects that still needs to be updated to use JDK 1.5 features. At the same time, it should be updated to use commons IO 2.0.1 instead of 1.3.2.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira